summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2021-07-08 12:34:33 +0000
committerPeter Mikus <pmikus@cisco.com>2021-08-05 14:45:31 +0000
commit37a55a05cd6ac7ca15bbb99f5ddc9ca61874d5f8 (patch)
tree238f6ba28684a78dd1d0a8724148f4b930872b40 /jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
parentc841491aa2a606ce68867a6e05f5d9cf1dbb6d9f (diff)
Global: Rework archive artifacts
This patch removes archive-artifacts-parameter macro and ARCHVIVE_ARTIFACTS env var from csit and vpp project. All project specific artifacts to be uploaded with the log files SHOULD BE copied to $WORKSPACE/archives. The next step once this is merged will be to remove NEXUS entirely via JCasC. + Remove archive-artifacts from all csit/vpp yaml files. + Add fdio-infra-ship-backup-logs macro + Remove unused jjb/include-raw-deploy-archives.sh + CSIT: - copy job artifacts to $WORKSPACE/archives + HC2VPP - remove CSIT + TLDK: - remove CSIT Signed-off-by: pmikus <pmikus@cisco.com> Signed-off-by: Dave Wallace <dwallacelf@gmail.com> Change-Id: Iada020cf269714c34f9ce32d764d991827e3b003
Diffstat (limited to 'jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh')
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh34
1 files changed, 0 insertions, 34 deletions
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
deleted file mode 100644
index 84a381839..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Get CSIT branch
-if [[ -f csit-test-branch ]]; then
- chmod +x csit-test-branch
- CSIT_BRANCH=`./csit-test-branch`
-else
- CSIT_BRANCH='master'
-fi
-
-# Clone csit
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
-
-# If the git clone fails, complain clearly and exit
-if [[ $? != 0 ]]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit 1
-fi
-
-cd csit
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-integration.sh
- # run the script
- ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :